﻿<%@ Page Title="Elastic Report - Rapid SCADA" Language="C#" MasterPageFile="~/MasterMain.Master" AutoEventWireup="true" CodeBehind="ElasticRep.aspx.cs" Inherits="Scada.Web.Plugins.ElasticReport.WFrmElasticRep" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMainHead" runat="server">
    <link href="css/elasticrep.min.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="js/elasticrep.js"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="cphMainContent" runat="server">
    <asp:ScriptManager ID="ScriptMan" runat="server"></asp:ScriptManager>
    <%-- Error Message --%>
    <asp:UpdatePanel ID="upnlMessage" runat="server" UpdateMode="Always">
        <ContentTemplate>
            <asp:Panel ID="pnlErrMsg" runat="server" CssClass="alert alert-danger alert-dismissible">
                <button type="button" class="close" data-dismiss="alert"><span>&times;</span></button>
                <asp:Label ID="lblErrMsg" runat="server" Text=""></asp:Label>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <%-- Title --%>
    <h1><asp:Label ID="lblTitle" runat="server" Text="Elastic Report"></asp:Label></h1>
    <%-- Period --%>
    <asp:MultiView ID="mvPeriod" runat="server" ActiveViewIndex="-1">
        <asp:View ID="viewDayPeriod" runat="server">
            <%-- By Days --%>
            <div class="period day">
                <div class="form-group">
                    <asp:Label ID="lblDateFrom" runat="server" Text="From" AssociatedControlID="txtDateFrom"></asp:Label>
                    <div class="input-group">
                        <asp:TextBox ID="txtDateFrom" runat="server" CssClass="form-control" autocomplete="off"></asp:TextBox>
                        <span class="input-group-btn">
                            <button class="btn btn-default calendar" type="button"><i class="fa fa-calendar"></i></button>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <asp:Label ID="lblDateTo" runat="server" Text="To" AssociatedControlID="txtDateTo"></asp:Label>
                    <div class="input-group">
                        <asp:TextBox ID="txtDateTo" runat="server" CssClass="form-control" autocomplete="off"></asp:TextBox>
                        <span class="input-group-btn">
                            <button class="btn btn-default calendar" type="button"><i class="fa fa-calendar"></i></button>
                        </span>
                    </div>
                </div>
            </div>
        </asp:View>
        <asp:View ID="viewMonthPeriod" runat="server">
            <%-- By Months --%>
            <div class="period month">
                <div class="form-group">
                    <asp:Label ID="lblMonthFrom" runat="server" Text="From" AssociatedControlID="ddlMonthFrom"></asp:Label>
                    <div class="row">
                        <div class="col col-sm-8">
                            <asp:DropDownList ID="ddlMonthFrom" runat="server" CssClass="form-control"></asp:DropDownList></div>
                        <div class="col col-sm-4">
                            <asp:DropDownList ID="ddlYearFrom" runat="server" CssClass="form-control"></asp:DropDownList></div>
                    </div>
                </div>
                <div class="form-group">
                    <asp:Label ID="lblMonthTo" runat="server" Text="To" AssociatedControlID="ddlMonthTo"></asp:Label>
                    <div class="row">
                        <div class="col col-sm-8">
                            <asp:DropDownList ID="ddlMonthTo" runat="server" CssClass="form-control"></asp:DropDownList></div>
                        <div class="col col-sm-4">
                            <asp:DropDownList ID="ddlYearTo" runat="server" CssClass="form-control"></asp:DropDownList></div>
                    </div>
                </div>
            </div>
        </asp:View>
    </asp:MultiView>
    <%-- Output Format --%>
    <div class="form-group">
        <asp:Label ID="lblFormat" runat="server" Text="Output Format:" AssociatedControlID="pnlFormat"></asp:Label>
        <asp:Panel ID="pnlFormat" runat="server">
            <div class="radio" id="divExcelFormat">
                <label>
                    <asp:RadioButton ID="rbExcelFormat" runat="server" ClientIDMode="Static" Checked="True" GroupName="Format" />
                    <asp:Label ID="lblExcelFormat" runat="server" Text="Excel"></asp:Label>
                </label>
            </div>
            <div class="radio" id="divPdfFormat">
                <label>
                    <asp:RadioButton ID="rbPdfFormat" runat="server" ClientIDMode="Static" GroupName="Format" />
                    <asp:Label ID="lblPdfFormat" runat="server" Text="PDF"></asp:Label>
                </label>
            </div>
            <div class="radio">
                <label>
                    <asp:RadioButton ID="rbHtmlFormat" runat="server" ClientIDMode="Static" GroupName="Format" />
                    <asp:Label ID="lblHtmlFormat" runat="server" Text="HTML"></asp:Label>
                </label>
            </div>
        </asp:Panel>
    </div>
    <%-- Generate Report --%>
    <asp:UpdatePanel ID="upnlGenReport" runat="server" UpdateMode="Always">
        <ContentTemplate>
            <div class="form-group">
                <asp:Button ID="btnGenReport" runat="server" ClientIDMode="Static" CssClass="btn btn-primary" Text="Get Report" OnClick="btnGenReport_Click" />
                <asp:Label ID="lblGenStarted" runat="server" ClientIDMode="Static" CssClass="text-info hidden" Text="Generating the report. Please wait..."></asp:Label>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
